package com.ejie.aa21b.ldap;

public class Aa21bPersonaXLNET implements Comparable {

	private String codigo;
	private String dni;
	private String nombre;
	private String apellidos;
	private String cargo;
	private String puesto;
	private String codDepto;
	private String descDeptoC;
	private String descDeptoE;
	private String codDireccion;
	private String descDireccionC;
	private String descDireccionE;
	private String eMail;
	private String telefono;

	public String getApellidos() {
		return apellidos;
	}

	public void setApellidos(String apellidos) {
		this.apellidos = apellidos;
	}

	public String getCargo() {
		return cargo;
	}

	public void setCargo(String cargo) {
		this.cargo = cargo;
	}

	public String getPuesto() {
		return puesto;
	}

	public void setPuesto(String puesto) {
		this.puesto = puesto;
	}

	public String getCodDepto() {
		return codDepto;
	}

	public void setCodDepto(String codDepto) {
		this.codDepto = codDepto;
	}

	public String getCodigo() {
		return codigo;
	}

	public void setCodigo(String codigo) {
		this.codigo = codigo;
	}

	public String getDescDeptoC() {
		return descDeptoC;
	}

	public void setDescDeptoC(String descDeptoC) {
		this.descDeptoC = descDeptoC;
	}

	public String getDescDeptoE() {
		return descDeptoE;
	}

	public void setDescDeptoE(String descDeptoE) {
		this.descDeptoE = descDeptoE;
	}

	public String getDni() {
		return dni;
	}

	public void setDni(String dni) {
		this.dni = dni;
	}

	public String getNombre() {
		return nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public String getEMail() {
		return eMail;
	}

	public void setEMail(String eMail) {
		this.eMail = eMail;
	}

	public String getTelefono() {
		return telefono;
	}

	public void setTelefono(String telefono) {
		this.telefono = telefono;
	}

	public String getCodDireccion() {
		return codDireccion;
	}

	public void setCodDireccion(String codDireccion) {
		this.codDireccion = codDireccion;
	}

	public String getDescDireccionC() {
		return descDireccionC;
	}

	public void setDescDireccionC(String descDireccionC) {
		this.descDireccionC = descDireccionC;
	}

	public String getDescDireccionE() {
		return descDireccionE;
	}

	public void setDescDireccionE(String descDireccionE) {
		this.descDireccionE = descDireccionE;
	}

	@Override
	public int compareTo(Object o) {
		// TODO Auto-generated method stub
		String nombre2 = ((Aa21bPersonaXLNET) o).getApellidos() + ", "
				+ ((Aa21bPersonaXLNET) o).getNombre();
		String nombre1 = this.apellidos + ", " + this.nombre;
		return nombre1.compareTo(nombre2);
	}
}